'Copyright (c) 1986 Apple Computer, Inc. All Rights Reserved.'!

"Create shared pools with constants from standard Mac interface files.
The interface files/pools included here are:

	OSIntf.p		OSIntfPool (error msgs are already in the image)
	Quickdraw.p		QuickdrawPool
	ToolIntf.p		ToolIntfPool
	PackIntf.p		PackIntfPool

This fileIn adds about 10K to your image.  If you think you will need
to back it out, save a copy of your image beforehand.  Otherwise must
edit at least the OSIntfPool statements (changing them to delete the
symbols) so that the error numbers in the images stay there.  After
that, it will probably be worthwhile to rehash your symbols.

Change history:

8/11/86		Amy		Created to match MPW 1.0B2 PInterfaces."!

"-------- OSIntfPool"!
Transcript show: 'OSIntfPool'; cr!
"Pool already exists in the image, with the error numbers"!
"version 2.0a4"!

"for Event Manager"!
OSIntfPool at: #everyEvent put:  -1!
OSIntfPool at: #NullEvent put:  0!
OSIntfPool at: #mouseDown put:  1!
OSIntfPool at: #mouseUp put:  2!
OSIntfPool at: #keyDown put:  3!
OSIntfPool at: #keyUp put:  4!
OSIntfPool at: #autoKey put:  5!
OSIntfPool at: #updateEvt put:  6!
OSIntfPool at: #diskEvt put:  7!
OSIntfPool at: #activateEvt put:  8!
OSIntfPool at: #networkEvt put:  10!
OSIntfPool at: #driverEvt put:  11!
OSIntfPool at: #app1Evt put:  12!
OSIntfPool at: #app2Evt put:  13!
OSIntfPool at: #app3Evt put:  14!
OSIntfPool at: #app4Evt put:  15!
"event mask equates"
OSIntfPool at: #mDownMask put:  2!
OSIntfPool at: #mUpMask put:  4!
OSIntfPool at: #keyDownMask put:  8!
OSIntfPool at: #keyUpMask put:  16!
OSIntfPool at: #autoKeyMask put:  32!
OSIntfPool at: #updateMask put:  64!
OSIntfPool at: #diskMask put:  128!
OSIntfPool at: #activMask put:  256!
OSIntfPool at: #networkMask put:  1024!
OSIntfPool at: #driverMask put:  2048!
OSIntfPool at: #app1Mask put:  4096!
OSIntfPool at: #app2Mask put:  8192!
OSIntfPool at: #app3Mask put:  16384!
OSIntfPool at: #app4Mask put:  -32768!
"to decipher event message for keyDown events"!
OSIntfPool at: #charCodeMask put:  16r000000FF!
OSIntfPool at: #keyCodeMask put:  16r0000FF00!
"modifiers"!
OSIntfPool at: #optionKey put:  2048!
OSIntfPool at: #alphaLock put:  1024!
OSIntfPool at: #ShiftKey put:  512!
OSIntfPool at: #CmdKey put:  256!
OSIntfPool at: #BtnState put:  128!
OSIntfPool at: #activeFlag put:  1!
OSIntfPool at: #EvtNotEnb put:  1!

"Errors are in OSIntfPool"!
OSIntfPool at: #MaxSize put:  16r800000!

"i/o constants"!
"finder constants"!
OSIntfPool at: #fOnDesk put: 1!
OSIntfPool at: #fHasBundle put:  8192!
OSIntfPool at: #fInvisible put:  16384!
OSIntfPool at: #fTrash put:  -3!
OSIntfPool at: #fDesktop put:  -2!
OSIntfPool at: #fDisk put:  0!
"ioPosMode values"!
OSIntfPool at: #fsAtMark put:  0!
OSIntfPool at: #fsFromStart put:  1!
OSIntfPool at: #fsFromLEOF put:  2!
OSIntfPool at: #fsFromMark put:  3!
OSIntfPool at: #rdVerify put:  64!
"ioPermission values"!
OSIntfPool at: #fsCurPerm put:  0!
OSIntfPool at: #fsRdPerm put:  1!
OSIntfPool at: #fsWrPerm put:  2!
OSIntfPool at: #fsRdWrPerm put:  3!
OSIntfPool at: #fsRdWrShPerm put: 4!
"refNums from the serial ports"!
OSIntfPool at: #AinRefNum put:  -6!
OSIntfPool at: #AoutRefNum put:  -7!
OSIntfPool at: #BinRefNum put:  -8!
OSIntfPool at: #BoutRefNum put:  -9!
"baud rate constants"!
OSIntfPool at: #baud300 put:  380!
OSIntfPool at: #baud600 put:  189!
OSIntfPool at: #baud1200 put:  94!
OSIntfPool at: #baud1800 put:  62!
OSIntfPool at: #baud2400 put:  46!
OSIntfPool at: #baud3600 put:  30!
OSIntfPool at: #baud4800 put:  22!
OSIntfPool at: #baud7200 put:  14!
OSIntfPool at: #baud9600 put:  10!
OSIntfPool at: #baud19200 put:  4!
OSIntfPool at: #baud57600 put:  0!
"SCC channel configuration word"!
"driver reset information masks"!
OSIntfPool at: #stop10 put:  16384!
OSIntfPool at: #stop15 put:  -32768!
OSIntfPool at: #stop20 put:  -16384!
OSIntfPool at: #noParity put:  0!
OSIntfPool at: #oddParity put:  4096!
OSIntfPool at: #evenParity put:  12288!
OSIntfPool at: #data5 put:  0!
OSIntfPool at: #data6 put:  2048!
OSIntfPool at: #data7 put:  1024!
OSIntfPool at: #data8 put:  3072!
"serial driver error masks"!
OSIntfPool at: #swOverrunErr put:  1!
OSIntfPool at: #parityErr put:  16!
OSIntfPool at: #hwOverrunErr put:  32!
OSIntfPool at: #framingErr put:  64!
"serial driver result codes"!
OSIntfPool at: #openErr put:  -23!
OSIntfPool at: #portConf put:  -98!
OSIntfPool at: #portBusy put:  -99!
"serial Port configuration usage constants for Config field of SysParmType"!
OSIntfPool at: #useFree put:  0!
OSIntfPool at: #useATalk put:  1!
OSIntfPool at: #useAsync put:  2!
"serial driver message constant"!
OSIntfPool at: #xOffWasSent put:  16r80!

"for application parameter"!
"constants for message returned by the finder on launch"!
OSIntfPool at: #appOpen put:  0!
OSIntfPool at: #appPrint put:  1!

"for sound driver"!
OSIntfPool at: #SWmode put:  -1!
OSIntfPool at: #FTmode put:  1!
OSIntfPool at: #FFmode put:  0!

"Desk Accessories - Message Definitions (in CSCode of Control Call)"!
OSIntfPool at: #accEvent put:  64!
OSIntfPool at: #accRun put:  65!
OSIntfPool at: #accCursor put:  66!
OSIntfPool at: #accMenu put:  67!
OSIntfPool at: #accUndo put:  68!
OSIntfPool at: #accCut put:  70!
OSIntfPool at: #accCopy put:  71!
OSIntfPool at: #accPaste put:  72!
OSIntfPool at: #accClear put:  73!
OSIntfPool at: #goodbye put: -1!

"for machine parameter of Environs"!
OSIntfPool at: #macXLMachine put:  0!
OSIntfPool at: #macMachine put:  1!

"miscellaneous"!
OSIntfPool at: #ioDirFlg put:  3!
OSIntfPool at: #ioDirMask put:  16r10!
OSIntfPool at: #FSRtParID put:  1!
OSIntfPool at: #FSRtDirID put:  2!

"device manager - Chooser message values"!
OSIntfPool at: #newSelMsg put: 12!
OSIntfPool at: #fillListMsg put: 13!
OSIntfPool at: #getSelMsg put: 14!
OSIntfPool at: #selectMsg put: 15!
OSIntfPool at: #deselectMsg put: 16!
OSIntfPool at: #terminateMsg put: 17!
OSIntfPool at: #newSelMsg put: 19!
OSIntfPool at: #chooserID put: 1!

"result types for RelString Call"!
OSIntfPool at: #sortsBefore put:  -1!
OSIntfPool at: #sortsEqual put:  0!
OSIntfPool at: #sortsAfter put:  1!

"TrapType"!
OSIntfPool at: #OSTrap put: 0!
OSIntfPool at: #ToolTrap put: 1!
"ParamBlkType"!
OSIntfPool at: #IOParam put:  0!
OSIntfPool at: #FileParam put:  1!
OSIntfPool at: #VolumeParam put:  2!
OSIntfPool at: #CntrlParam put:  3!
"CInfoType"!
OSIntfPool at: #hFileInfo put: 0!
OSIntfPool at: #dirInfo put: 1!
"QTypes"!
OSIntfPool at: #dummyType put:  0!
OSIntfPool at: #vType put:  1!
OSIntfPool at: #ioQType put:  2!
OSIntfPool at: #drvQType put:  3!
OSIntfPool at: #evType put:  4!
OSIntfPool at: #fsQType put:  5!
"SPortSel"!
OSIntfPool at: #SPortA put:  0!
OSIntfPool at: #SPortB put:  1!
"DriveKind"!
OSIntfPool at: #sony put:  0!
OSIntfPool at: #hard20 put:  1!

"-------- QuickdrawPool"!
Transcript show: 'QuickdrawPool'; cr!
Smalltalk at: #QuickdrawPool put: Dictionary new!
"version 2.0a2"!
"transfer modes"!
QuickdrawPool at: #srcCopy put:  0!
QuickdrawPool at: #srcOr put:  1!
QuickdrawPool at: #srcXor put:  2!
QuickdrawPool at: #srcBic put:  3!
QuickdrawPool at: #notSrcCopy put:  4!
QuickdrawPool at: #notSrcOr put:  5!
QuickdrawPool at: #notSrcXor put:  6!
QuickdrawPool at: #notSrcBic put:  7!
QuickdrawPool at: #patCopy put:  8!
QuickdrawPool at: #patOr put:  9!
QuickdrawPool at: #patXor put:  10!
QuickdrawPool at: #patBic put:  11!
QuickdrawPool at: #notPatCopy put:  12!
QuickdrawPool at: #notPatOr put:  13!
QuickdrawPool at: #notPatXor put:  14!
QuickdrawPool at: #notPatBic put:  15!
"color separation constants"!
QuickdrawPool at: #normalBit put:  0!
QuickdrawPool at: #inverseBit put:  1!
QuickdrawPool at: #redBit put:  4!
QuickdrawPool at: #greenBit put:  3!
QuickdrawPool at: #blueBit put:  2!
QuickdrawPool at: #cyanBit put:  8!
QuickdrawPool at: #magentaBit put:  7!
QuickdrawPool at: #yellowBit put:  6!
QuickdrawPool at: #blackBit put:  5!
QuickdrawPool at: #blackColor put:  33!
QuickdrawPool at: #whiteColor put:  30!
QuickdrawPool at: #redColor put:  205!
QuickdrawPool at: #greenColor put:  341!
QuickdrawPool at: #blueColor put:  409!
QuickdrawPool at: #cyanColor put:  273!
QuickdrawPool at: #magentaColor put:  137!
QuickdrawPool at: #yellowColor put:  69!
QuickdrawPool at: #picLParen put:  0!
QuickdrawPool at: #picRParen put:  1!
"globals"!
QuickdrawPool at: #thePort put:  nil!
QuickdrawPool at: #white put:  nil!
QuickdrawPool at: #black put:  nil!
QuickdrawPool at: #gray put:  nil!
QuickdrawPool at: #ltGray put:  nil!
QuickdrawPool at: #dkGray put:  nil!
QuickdrawPool at: #arrow put:  nil!
QuickdrawPool at: #screenBits put:  nil!
QuickdrawPool at: #randSeed put:  nil!
"VHSelect"!
QuickdrawPool at: #v put:  1!
QuickdrawPool at: #h put:  2!
"GrafVerb"!
QuickdrawPool at: #frame put:  0!
QuickdrawPool at: #paint put:  1!
QuickdrawPool at: #erase put:  2!
QuickdrawPool at: #invert put:  3!
QuickdrawPool at: #fill put:  4!
"StyleItem"!
QuickdrawPool at: #bold put:  0!
QuickdrawPool at: #italic put:  1!
QuickdrawPool at: #underline put:  2!
QuickdrawPool at: #outline put:  3!
QuickdrawPool at: #shadow put:  4!
QuickdrawPool at: #condense put:  5!
QuickdrawPool at: #extend put:  6!

"-------- ToolIntfPool"!
Transcript show: 'ToolIntfPool'; cr!
Smalltalk at: #ToolIntfPool put: Dictionary new!
"version 2.0a3"!

"for Font Manager"!
ToolIntfPool at: #commandMark put:  17!
ToolIntfPool at: #checkMark put:  18!
ToolIntfPool at: #diamondMark put:  19!
ToolIntfPool at: #appleMark put:  20!
"fonts"!
ToolIntfPool at: #systemFont put:  0!
ToolIntfPool at: #applFont put:  1!
ToolIntfPool at: #newYork put:  2!
ToolIntfPool at: #geneva put:  3!
ToolIntfPool at: #monaco put:  4!
ToolIntfPool at: #venice put:  5!
ToolIntfPool at: #london put:  6!
ToolIntfPool at: #athens put:  7!
ToolIntfPool at: #sanFran put: 8!
ToolIntfPool at: #toronto put:  9!
ToolIntfPool at: #cairo put:  11!
ToolIntfPool at: #losAngeles put:  12!
ToolIntfPool at: #times put:  20!
ToolIntfPool at: #helvetica put:  21!
ToolIntfPool at: #courier put:  22!
ToolIntfPool at: #symbol put: 23!
ToolIntfPool at: #mobile put:  24!
ToolIntfPool at: #propFont put:  16r9000!
ToolIntfPool at: #prpFntH put:  16r9001!
ToolIntfPool at: #prpFntW put:  16r9002!
ToolIntfPool at: #prpFntHW put:  16r9003!
ToolIntfPool at: #fixedFont put:  16rB000!
ToolIntfPool at: #fxdFntH put:  16rB001!
ToolIntfPool at: #fxdFntW put:  16rB002!
ToolIntfPool at: #fxdFntHW put:  16rB003!
ToolIntfPool at: #fontWid put:  16rACB0!

"for Window Manager"!
"window messages"!
ToolIntfPool at: #wDraw put:  0!
ToolIntfPool at: #wHit put:  1!
ToolIntfPool at: #wCalcRgns put:  2!
ToolIntfPool at: #wNew put:  3!
ToolIntfPool at: #wDispose put:  4!
ToolIntfPool at: #wGrow put:  5!
ToolIntfPool at: #wDrawGIcon put:  6!
"types of windows"!
ToolIntfPool at: #dialogKind put:  2!
ToolIntfPool at: #userKind put:  8!
"desk pattern resource ID"!
ToolIntfPool at: #deskPatID put:  16!
"window definition procedure IDs"!
ToolIntfPool at: #documentProc put:  0!
ToolIntfPool at: #dBoxProc put:  1!
ToolIntfPool at: #plainDBox put:  2!
ToolIntfPool at: #altDBoxProc put:  3!
ToolIntfPool at: #noGrowDocProc put:  4!
ToolIntfPool at: #zoomDocProc put:  8!
ToolIntfPool at: #zoomNoGrow put:  12!
ToolIntfPool at: #rDocProc put:  16!
"FindWindow result codes"!
ToolIntfPool at: #inDesk put:  0!
ToolIntfPool at: #inMenuBar put:  1!
ToolIntfPool at: #inSysWindow put:  2!
ToolIntfPool at: #inContent put:  3!
ToolIntfPool at: #inDrag put:  4!
ToolIntfPool at: #inGrow put:  5!
ToolIntfPool at: #inGoAway put:  6!
"new 128K ROM result codes"!
ToolIntfPool at: #inZoomIn put: 7!
ToolIntfPool at: #inZoomOut put: 8!
"defProc hit test codes"!
ToolIntfPool at: #wNoHit put:  0!
ToolIntfPool at: #wInContent put:  1!
ToolIntfPool at: #wInDrag put:  2!
ToolIntfPool at: #wInGrow put:  3!
ToolIntfPool at: #wInGoAway put:  4!
"new 128K ROM test codes"!
ToolIntfPool at: #wInZoomIn put: 5!
ToolIntfPool at: #wInZoomOut put: 6!
"axis constraints for DragGrayRgn"!
ToolIntfPool at: #noConstraint put:  0!
ToolIntfPool at: #hAxisOnly put:  1!
ToolIntfPool at: #vAxisOnly put:  2!

"for TextEdit"!
ToolIntfPool at: #teJustLeft put:  0!
ToolIntfPool at: #teJustRight put:  -1!
ToolIntfPool at: #teJustCenter put:  1!

"for Resource Manager"!
"Resource attribute byte"!
ToolIntfPool at: #resSysHeap put:  64!
ToolIntfPool at: #resPurgeable put:  32!
ToolIntfPool at: #resLocked put:  16!
ToolIntfPool at: #resProtected put:  8!
ToolIntfPool at: #resPreload put:  4!
ToolIntfPool at: #resChanged put:  2!
ToolIntfPool at: #mapReadOnly put:  128!
ToolIntfPool at: #mapCompact put:  64!
ToolIntfPool at: #mapChanged put:  32!
ToolIntfPool at: #resNotFound put:  -192!
ToolIntfPool at: #resFNotFound put:  -193!
ToolIntfPool at: #addResFailed put:  -194!
ToolIntfPool at: #rmvResFailed put:  -196!
"IDs for resources provided in system resource file"!
"standard cursor definitions"!
ToolIntfPool at: #iBeamCursor put:  1!
ToolIntfPool at: #crossCursor put:  2!
ToolIntfPool at: #plusCursor put:  3!
ToolIntfPool at: #watchCursor put:  4!
"icons"!
ToolIntfPool at: #stopIcon put:  0!
ToolIntfPool at: #noteIcon put:  1!
ToolIntfPool at: #cautionIcon put:  2!
"patterns"!
ToolIntfPool at: #sysPatListID put:  0!

"for Control Manager"!
"control messages"!
ToolIntfPool at: #drawCntl put:  0!
ToolIntfPool at: #testCntl put:  1!
ToolIntfPool at: #calcCRgns put:  2!
ToolIntfPool at: #initCntl put:  3!
ToolIntfPool at: #dispCntl put:  4!
ToolIntfPool at: #posCntl put:  5!
ToolIntfPool at: #thumbCntl put:  6!
ToolIntfPool at: #dragCntl put:  7!
ToolIntfPool at: #autoTrack put:  8!
"FindControl result codes"!
ToolIntfPool at: #inButton put:  10!
ToolIntfPool at: #inCheckbox put:  11!
ToolIntfPool at: #inUpButton put:  20!
ToolIntfPool at: #inDownButton put:  21!
ToolIntfPool at: #inPageUp put:  22!
ToolIntfPool at: #inPageDown put:  23!
ToolIntfPool at: #inThumb put:  129!
"control definition proc IDs"!
ToolIntfPool at: #pushButProc put:  0!
ToolIntfPool at: #checkBoxProc put:  1!
ToolIntfPool at: #radioButProc put:  2!
ToolIntfPool at: #scrollBarProc put:  16!
ToolIntfPool at: #useWFont put:  8!

"for Dialog Manager"!
ToolIntfPool at: #userItem put:  0!
ToolIntfPool at: #ctrlItem put:  4!
ToolIntfPool at: #btnCtrl put:  0!
ToolIntfPool at: #chkCtrl put:  1!
ToolIntfPool at: #radCtrl put:  2!
ToolIntfPool at: #resCtrl put:  3!
ToolIntfPool at: #statText put:  8!
ToolIntfPool at: #editText put:  16!
ToolIntfPool at: #iconItem put:  32!
ToolIntfPool at: #picItem put:  64!
ToolIntfPool at: #itemDisable put:  128!
ToolIntfPool at: #ok put:  1!
ToolIntfPool at: #cancel put:  2!

"for Menu Manager"!
ToolIntfPool at: #noMark put:  0!
ToolIntfPool at: #TextMenuProc put:  0!
"menu defProc messages"!
ToolIntfPool at: #mDrawMsg put:  0!
ToolIntfPool at: #mChooseMsg put:  1!
ToolIntfPool at: #mSizeMsg put:  2!

"for Scrap manager"!
ToolIntfPool at: #noScrapErr put:  -100!
ToolIntfPool at: #noTypeErr put:  -102!

"package manager"!
ToolIntfPool at: #listMgr put: 0!
ToolIntfPool at: #dskInit put:  2!
ToolIntfPool at: #stdFile put:  3!
ToolIntfPool at: #flPoint put:  4!
ToolIntfPool at: #trFunc put:  5!
ToolIntfPool at: #intUtil put:  6!
ToolIntfPool at: #bdConv put:  7!

"-------- PackIntfPool"!
Transcript show: 'PackIntfPool'; cr.!
Smalltalk at: #PackIntfPool put: Dictionary new.!
"version 2.0a4"!

"standard file"!
PackIntfPool at: #putDlgID put:  -3999!
PackIntfPool at: #putSave put:  1!
PackIntfPool at: #putCancel put:  2!
PackIntfPool at: #putEject put:  5!
PackIntfPool at: #putDrive put:  6!
PackIntfPool at: #putName put:  7!
PackIntfPool at: #getDlgID put:  -4000!
PackIntfPool at: #getOpen put:  1!
PackIntfPool at: #getCancel put:  3!
PackIntfPool at: #getEject put:  5!
PackIntfPool at: #getDrive put:  6!
PackIntfPool at: #getNmList put:  7!
PackIntfPool at: #getScroll put:  8!

"international utilities"!
PackIntfPool at: #currSymLead put:  16!
PackIntfPool at: #currNegSym put:  32!
PackIntfPool at: #currTrailingZ put:  64!
PackIntfPool at: #currLeadingZ put:  128!
PackIntfPool at: #MDY put:  0!
PackIntfPool at: #DMY put:  1!
PackIntfPool at: #YMD put:  2!
PackIntfPool at: #dayLdingZ put:  32!
PackIntfPool at: #mntLdingZ put:  64!
PackIntfPool at: #century put:  128!
PackIntfPool at: #secLeadingZ put:  32!
PackIntfPool at: #minLeadingZ put:  64!
PackIntfPool at: #hrLeadingZ put:  128!
PackIntfPool at: #verUS put:  0!
PackIntfPool at: #verFrance put:  1!
PackIntfPool at: #verBritain put:  2!
PackIntfPool at: #verGermany put:  3!
PackIntfPool at: #verItaly put:  4!
PackIntfPool at: #verNetherlands put:  5!
PackIntfPool at: #verBelgiumLux put:  6!
PackIntfPool at: #verSweden put:  7!
PackIntfPool at: #verSpain put:  8!
PackIntfPool at: #verDenmark put:  9!
PackIntfPool at: #verPortugal put:  10!
PackIntfPool at: #verFrCanada put:  11!
PackIntfPool at: #verNorway put:  12!
PackIntfPool at: #verIsrael put:  13!
PackIntfPool at: #verJapan put:  14!
PackIntfPool at: #verAustralia put:  15!
PackIntfPool at: #verArabia put:  16!
PackIntfPool at: #verFinland put:  17!
PackIntfPool at: #verFrSwiss put:  18!
PackIntfPool at: #verGrSwiss put:  19!
PackIntfPool at: #verGreece put:  20!
PackIntfPool at: #verIceland put:  21!
PackIntfPool at: #verMalta put:  22!
PackIntfPool at: #verCyprus put:  23!
PackIntfPool at: #verTurkey put:  24!
PackIntfPool at: #verYugoslavia put:  25!
PackIntfPool at: #shortDate put:  0!
PackIntfPool at: #longDate put:  1!
PackIntfPool at: #abbrevDate put:  2!

"list manager"!
PackIntfPool at: #LOnlyOne put:  -128!
PackIntfPool at: #LExtendDrag put:  64!
PackIntfPool at: #LNoDisjoint put:  32!
PackIntfPool at: #LNoExtend put:  16!
PackIntfPool at: #LNoRect put:  8!
PackIntfPool at: #LUseSense put: 4!
PackIntfPool at: #LNoNilHilite put:  2!
PackIntfPool at: #LDoVAutoscroll put:  2!
PackIntfPool at: #LDoHAutoscroll put:  1!
PackIntfPool at: #LInitMsg put:  0!
PackIntfPool at: #LDrawMsg put:  1!
PackIntfPool at: #LHiliteMsg put:  2!
PackIntfPool at: #LCloseMsg put:  3!
