'From Smalltalk-80 of September 3rd, 1986 on 6 October 1986 at 4:24:42 pm'!

"To undo the effect of this file, execute
	PopUpMenu menuVersion: ('Apple 0.3' asSymbol). "!

!ClassListController methodsFor: 'menu messages'!
reorganize
	"Request to view the entire organization of the selected class
	so that it can be edited."
	self controlTerminate.
	model editMessageCategories.
	self controlInitialize! !

!ClassListController class methodsFor: 'class initialization'!
initialize
	"Initialize the yellow button menu information."
	"PopUpMenu menuVersion: ('Apple 0.3' asSymbol)."
	"PopUpMenu menuVersion: #compatable."

	PopUpMenu menuVersion == ('Apple 0.3' asSymbol) ifTrue:
		[ClassListYellowButtonMenu _
			PopUpMenu labels: 
'browse
printOut
fileOut
hierarchy
definition
comment
inst var refs
class var refs
class refs
rename...
remove' 
				lines: #(3 6 9).
	ClassListYellowButtonMessages _ 
		#(browse printOut fileOut
		hierarchy definition comment
		browseInstVarRefs browseClassVarRefs browseClassRefs
		rename remove)].
PopUpMenu menuVersion == #compatable ifTrue:
		[ClassListYellowButtonMenu _ PopUpMenu 
				labels: 
'file out
print out
spawn
hierarchy
definition
comment
protocols
inst var refs
class var refs
class refs
rename
remove' 
				lines: #(3 7 10).
	ClassListYellowButtonMessages _ 
		#( fileOut printOut browse
			hierarchy definition comment reorganize
			browseInstVarRefs browseClassVarRefs browseClassRefs
			rename remove ) ]
	"
	ClassListController initialize.
	ClassListController allInstancesDo:
		[:x | x initializeYellowButtonMenu].
	"! !

!MessageCategoryListController class methodsFor: 'class initialization'!
initialize
	"PopUpMenu menuVersion: ('Apple 0.3' asSymbol)."
	"PopUpMenu menuVersion: #compatable."

	PopUpMenu menuVersion == ('Apple 0.3' asSymbol) ifTrue:
		[MessageCategoryListYellowButtonMenu _ 
		PopUpMenu labels:
'browse
printOut
fileOut
reorganize
add item...
rename...
remove'
		lines: #(3 4).
	MessageCategoryListYellowButtonMessages _
		#(browse printOut fileOut
		reorganize
		add rename remove ) ].
PopUpMenu menuVersion == #compatable ifTrue:
		[MessageCategoryListYellowButtonMenu _ 
			PopUpMenu labels:
'file out
print out
spawn
add protocol
rename
remove'
		lines: #(3 ).
	MessageCategoryListYellowButtonMessages _ 
		#( printOut fileOut browse add rename remove ) ].
	"
	MessageCategoryListController initialize.
	MessageCategoryListController allInstancesDo:
		[:x | x initializeYellowButtonMenu].
	"! !

!MessageListController class methodsFor: 'class initialization'!
initialize
	"PopUpMenu menuVersion: ('Apple 0.3' asSymbol)."
	"PopUpMenu menuVersion: #compatable."

	PopUpMenu menuVersion == ('Apple 0.3' asSymbol) ifTrue:
		[MessageListYellowButtonMenu _ 
			PopUpMenu labels:
'browse
fileOut
printOut
senders
implementors
messages
versions
remove'
			lines: #(3 7 ).
	MessageListYellowButtonMessages _
		#(browse fileOut printOut
		senders implementors messages versions
		remove ) ].
PopUpMenu menuVersion == #compatable ifTrue:
		[MessageListYellowButtonMenu _ PopUpMenu 
			labels:
'file out
print out 
spawn
senders
implementors
messages
versions
remove'
			lines: #(3 6  ).
	MessageListYellowButtonMessages _ #(fileOut printOut browse 
		senders implementors messages versions remove )].
"
	MessageListController initialize.
	MessageListController allInstancesDo:
		[:x | x initializeYellowButtonMenu].
"! !
Object subclass: #PopUpMenu
	instanceVariableNames: 'labelString font lineArray frame form marker selection '
	classVariableNames: 'MenuVersion '
	poolDictionaries: ''
	category: 'Interface-Menus'!

!PopUpMenu class reorganize!
('instance creation' labels: labels:lines:)
('versions' menuVersion menuVersion:)
!


!PopUpMenu class methodsFor: 'versions'!
menuVersion
	"Allow several different loks for browser menus.
	returns the name of the current version.
		#compatable	closer to Xerox License 2
		'Apple 0.3' asSymbol		the 0.3 release from Apple (License 1)"
	^ MenuVersion!
menuVersion: aSymbol
	| thisClass |
	"Allow several different looks for browser menus.
	sets the name of the current version and changes menus.
		#compatable	closer to Xerox License 2
		'Apple 0.3' asSymbol		the 0.3 release from Apple (License 1)"

	MenuVersion _ aSymbol asSymbol.

	#(SystemCategoryListController ClassListController 
		MessageCategoryListController MessageListController) do:
		[:each | thisClass _ Smalltalk at: each.
		thisClass initialize.
		thisClass allInstancesDo:
			[:aClass | aClass initializeYellowButtonMenu.
				(thisClass canUnderstand: #initializeBlueButtonMenu)
					ifTrue: [aClass initializeBlueButtonMenu]]].
! !

!SystemCategoryListController class methodsFor: 'class initialization'!
initialize
	"PopUpMenu menuVersion: ('Apple 0.3' asSymbol)."
	"PopUpMenu menuVersion: #compatable."

	PopUpMenu menuVersion == ('Apple 0.3' asSymbol) ifTrue:
		[SystemCategoryListYellowButtonMenu _ 
			PopUpMenu labels:
'browse
printOut
fileOut
reorganize
update
add item...
rename...
remove' 
			lines: #(3 5).
		SystemCategoryListYellowButtonMessages _
			#(browse printOut fileOut
			edit update
			add rename remove ) ].
	PopUpMenu menuVersion == #compatable ifTrue:
		[SystemCategoryListYellowButtonMenu _ 
			PopUpMenu labels:
'file out
print out
spawn
add category
rename
remove
update
edit all' 
			lines: #(3 6).
		SystemCategoryListYellowButtonMessages _ 
			#( fileOut printOut browse
 			add rename remove update edit ) ]
! !

Transcript cr; show: 'Replacing menus.  This may take a while. . .'; cr.!
PopUpMenu menuVersion: #compatable.!
